import pygame
from pygame.locals import *
import os

class Cursor(pygame.sprite.Sprite):
    def __init__(self, filename, hotspot):
        pygame.sprite.Sprite.__init__(self)
        
        self.image = pygame.image.load(os.path.join("data", filename))

        hotx, hoty = hotspot
        self.baserect = self.image.get_rect()
        self.baserect.move_ip(-hotx, -hoty) # now 0, 0 is the hotspot in baserect

    def update(self, *args):
        pos = args[0]
        self.rect = self.baserect.move(pos)
