from character import *

class NPC(Character):
    def __init__(self, name, talkcolor, image_filename, talk_image_filename, position, walkpos, walkdir):
        self.image = self.stand_image = pygame.image.load(os.path.join("data", image_filename))
        self.talk_image = pygame.image.load(os.path.join("data", talk_image_filename))
        self.rect = self.image.get_rect()
        self.rect.midbottom = position

        Character.__init__(self, name, talkcolor, walkpos, walkdir)

    def get_talk_image(self):
        return self.talk_image

    def get_stand_image(self):
        return self.stand_image