import pygame
from pygame.locals import *
import os

class GameObject(pygame.sprite.Sprite):
    def __init__(self, name, walkpos = None, walkdir = None):
        pygame.sprite.Sprite.__init__(self)

        self.name = name
        self.walkpos = walkpos
        self.walkdir = walkdir

class NonGameObject(pygame.sprite.Sprite):
    # an object you can't interact with, i.e. it's only drawn on the screen
    def __init__(self, topleft_pos, image_filename):
        pygame.sprite.Sprite.__init__(self)

        self.image = pygame.image.load(os.path.join("data", image_filename))
        self.rect = self.image.get_rect()
        self.rect.topleft = topleft_pos
        