from game_object import *

class InventoryItem(GameObject):
    ITEM1_CENTER = (120, 375 + 19 + 43)
    ITEM_WIDTH = 80

    def __init__(self, name, image_filename, index, vis_index):
        GameObject.__init__(self, name)

        self.image = pygame.image.load(os.path.join("data", image_filename))
        self.index = index
        self.set_vis_index(vis_index)

    def set_vis_index(self, vis_index):
        self.rect = self.image.get_rect()
        self.rect.center = self.ITEM1_CENTER
        self.rect.move_ip(self.ITEM_WIDTH * vis_index, 0)
