from busysprite import *

class TalkOptions(BusySprite):
    def __init__(self, options):
        BusySprite.__init__(self)

        # Don't draw anything...
        self.image = pygame.Surface((0, 0))
        self.rect = pygame.Rect(0, 0, 0, 0)

        self.options = options
        self.chosen_option_index = None
        self.chosen_option_text = None

    def update(self, *args):
        if not self.chosen_option_index is None:
            self.kill()

    def choose(self, index, text):
        self.chosen_option_index = index
        self.chosen_option_text = text
        